Debian Bug report logs - #596997
libv8: Please add preliminary support for armhf port

version graph

Package: libv8; Maintainer for libv8 is Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>;

Reported by: Konstantinos Margaritis <markos@debian.org>

Date: Wed, 15 Sep 2010 19:39:01 UTC

Severity: important

Found in version 2.2.24-5

Fixed in versions libv8/2.5.9.16-1, libv8/3.0.12.23-1

Done: Jonas Smedegaard <dr@jones.dk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Antonio Radici <antonio@dyne.org>:
Bug#596997; Package libv8. (Wed, 15 Sep 2010 19:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@debian.org>:
New Bug report received and forwarded. Copy sent to Antonio Radici <antonio@dyne.org>. (Wed, 15 Sep 2010 19:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libv8: Please add preliminary support for armhf port
Date: Wed, 15 Sep 2010 22:38:51 +0300
Package: libv8
Version: 2.2.24-5
Severity: wishlist


Armhf is a new ARM port (higher base requirements than armel, namely, armv7-a, thumb2, vfpv3-d16
and float-abi=hard) for now residing in debian-ports.org. Since libv8 supports ARM, it would be
appreciated it if you could add armhf to the list of supported architectures in libv8.

Thanks

Konstantinos Margaritis
Genesi USA, Senior Software engineer, armhf port maintainer
Debian Developer




Information forwarded to debian-bugs-dist@lists.debian.org, Antonio Radici <antonio@dyne.org>:
Bug#596997; Package libv8. (Wed, 15 Sep 2010 20:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <jerry@edagames.com>:
Extra info received and forwarded to list. Copy sent to Antonio Radici <antonio@dyne.org>. (Wed, 15 Sep 2010 20:21:08 GMT) Full text and rfc822 format available.

Message #10 received at 596997@bugs.debian.org (full text, mbox):

From: Jérémy Lal <jerry@edagames.com>
To: Konstantinos Margaritis <markos@debian.org>, 596997@bugs.debian.org
Subject: Re: Bug#596997: libv8: Please add preliminary support for armhf port
Date: Wed, 15 Sep 2010 22:17:08 +0200
On 15/09/2010 21:38, Konstantinos Margaritis wrote:
> Package: libv8
> Version: 2.2.24-5
> Severity: wishlist
> 
> 
> Armhf is a new ARM port (higher base requirements than armel, namely, armv7-a, thumb2, vfpv3-d16
> and float-abi=hard) for now residing in debian-ports.org. Since libv8 supports ARM, it would be
> appreciated it if you could add armhf to the list of supported architectures in libv8.

Sure,
before we do that, could you try building v8 for armhf ?
I'd hesitate much less if i knew it builds ok.

Regards,
Jérémy Lal




Information forwarded to debian-bugs-dist@lists.debian.org, Antonio Radici <antonio@dyne.org>:
Bug#596997; Package libv8. (Thu, 16 Sep 2010 07:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Extra info received and forwarded to list. Copy sent to Antonio Radici <antonio@dyne.org>. (Thu, 16 Sep 2010 07:12:06 GMT) Full text and rfc822 format available.

Message #15 received at 596997@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: Jérémy Lal <jerry@edagames.com>
Cc: Konstantinos Margaritis <markos@debian.org>, 596997@bugs.debian.org
Subject: Re: Bug#596997: libv8: Please add preliminary support for armhf port
Date: Thu, 16 Sep 2010 10:12:23 +0300
[Message part 1 (text/plain, inline)]
On Wednesday 15 September 2010 23:17:08 Jérémy Lal wrote:
> On 15/09/2010 21:38, Konstantinos Margaritis wrote:
> > Package: libv8
> > Version: 2.2.24-5
> > Severity: wishlist
> > 
> > 
> > Armhf is a new ARM port (higher base requirements than armel, namely,
> > armv7-a, thumb2, vfpv3-d16 and float-abi=hard) for now residing in
> > debian-ports.org. Since libv8 supports ARM, it would be appreciated it
> > if you could add armhf to the list of supported architectures in libv8.
> 
> Sure,
> before we do that, could you try building v8 for armhf ?
> I'd hesitate much less if i knew it builds ok.

I played around with the package, it compiled with plain settings, but it was 
rather unoptimised (armv5t, etc). So I decided to make it to build a 
specialized version for armhf (armv7-a basically, float-abi=hard is implied in 
the compiler settings as it is the default). I attach the patch I used.

Thanks

Konstantinos
[libv8-armhf.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Antonio Radici <antonio@dyne.org>:
Bug#596997; Package libv8. (Fri, 17 Sep 2010 10:10:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <jerry@edagames.com>:
Extra info received and forwarded to list. Copy sent to Antonio Radici <antonio@dyne.org>. (Fri, 17 Sep 2010 10:10:43 GMT) Full text and rfc822 format available.

Message #20 received at 596997@bugs.debian.org (full text, mbox):

From: Jérémy Lal <jerry@edagames.com>
To: Konstantinos Margaritis <markos@debian.org>
Cc: 596997@bugs.debian.org
Subject: Re: Bug#596997: libv8: Please add preliminary support for armhf port
Date: Fri, 17 Sep 2010 12:03:51 +0200
On 16/09/2010 09:12, Konstantinos Margaritis wrote:
> On Wednesday 15 September 2010 23:17:08 Jérémy Lal wrote:
>> On 15/09/2010 21:38, Konstantinos Margaritis wrote:
>>> Package: libv8
>>> Version: 2.2.24-5
>>> Severity: wishlist
>>>
>>>
>>> Armhf is a new ARM port (higher base requirements than armel, namely,
>>> armv7-a, thumb2, vfpv3-d16 and float-abi=hard) for now residing in
>>> debian-ports.org. Since libv8 supports ARM, it would be appreciated it
>>> if you could add armhf to the list of supported architectures in libv8.
>>
>> Sure,
>> before we do that, could you try building v8 for armhf ?
>> I'd hesitate much less if i knew it builds ok.
> 
> I played around with the package, it compiled with plain settings, but it was 
> rather unoptimised (armv5t, etc). So I decided to make it to build a 
> specialized version for armhf (armv7-a basically, float-abi=hard is implied in 
> the compiler settings as it is the default). I attach the patch I used.
> 
> Thanks
> 
> Konstantinos

Thank you for the patch.
Do the armhf port is concerned by squeeze release, so libv8 for armhf should get
a freeze exception ?

Regards,
Jérémy.




Information forwarded to debian-bugs-dist@lists.debian.org, Antonio Radici <antonio@dyne.org>:
Bug#596997; Package libv8. (Fri, 17 Sep 2010 13:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Extra info received and forwarded to list. Copy sent to Antonio Radici <antonio@dyne.org>. (Fri, 17 Sep 2010 13:03:10 GMT) Full text and rfc822 format available.

Message #25 received at 596997@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: Jérémy Lal <jerry@edagames.com>
Cc: Konstantinos Margaritis <markos@debian.org>, 596997@bugs.debian.org
Subject: Re: Bug#596997: libv8: Please add preliminary support for armhf port
Date: Fri, 17 Sep 2010 16:00:36 +0300
On Friday 17 September 2010 13:03:51 Jérémy Lal wrote:
> Thank you for the patch.
> Do the armhf port is concerned by squeeze release, so libv8 for armhf
> should get a freeze exception ?

No, not at all. armhf is a squeeze+1 at the earliest, so there is no need to 
get an exception. Feel free to upload it to unstable.

Konstantinos




Information forwarded to debian-bugs-dist@lists.debian.org, Antonio Radici <antonio@dyne.org>:
Bug#596997; Package libv8. (Tue, 28 Sep 2010 18:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <jerry@edagames.com>:
Extra info received and forwarded to list. Copy sent to Antonio Radici <antonio@dyne.org>. (Tue, 28 Sep 2010 18:57:07 GMT) Full text and rfc822 format available.

Message #30 received at 596997@bugs.debian.org (full text, mbox):

From: Jérémy Lal <jerry@edagames.com>
To: Konstantinos Margaritis <markos@debian.org>
Cc: 596997@bugs.debian.org
Subject: Re: Bug#596997: libv8: Please add preliminary support for armhf port
Date: Tue, 28 Sep 2010 20:54:20 +0200
Hi, i just gave a try to your patch, and it seems ok, except for
W: libv8 source: unknown-architecture armhf

I usually try not to make lintian complain, do debian-ports architectures
are expected to be allowed by lintian ?

Jérémy.

On 17/09/2010 15:00, Konstantinos Margaritis wrote:
> On Friday 17 September 2010 13:03:51 Jérémy Lal wrote:
>> Thank you for the patch.
>> Do the armhf port is concerned by squeeze release, so libv8 for armhf
>> should get a freeze exception ?
> 
> No, not at all. armhf is a squeeze+1 at the earliest, so there is no need to 
> get an exception. Feel free to upload it to unstable.
> 
> Konstantinos





Information forwarded to debian-bugs-dist@lists.debian.org, Antonio Radici <antonio@dyne.org>:
Bug#596997; Package libv8. (Wed, 29 Sep 2010 17:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Antonio Radici <antonio@dyne.org>. (Wed, 29 Sep 2010 17:51:06 GMT) Full text and rfc822 format available.

Message #35 received at 596997@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Konstantinos Margaritis <markos@genesi-usa.com>, 596997@bugs.debian.org
Cc: Jérémy Lal <jerry@edagames.com>, Konstantinos Margaritis <markos@debian.org>
Subject: Re: Bug#596997: libv8: Please add preliminary support for armhf port
Date: Wed, 29 Sep 2010 19:46:08 +0200
        Hey folks

> I played around with the package, it compiled with plain settings, but
> it was rather unoptimised (armv5t, etc). So I decided to make it to
> build a specialized version for armhf (armv7-a basically,
> float-abi=hard is implied in the compiler settings as it is the
> default). I attach the patch I used.

 Cool!

 I'm a bit worried about the implementation though: this essentially
 boils down to letting the build system chose optimizations based on
 uname -m, which is really bad.

 Debian armel might be built on "armv7l" machines someday (quite likely
 in fact) and armhf might be built on "armv8l" someday, so not a good
 idea to hardcode uname -> target optimization.
   This new arch also feels weird: you end up duplicating a lot of the
 arch:arm stuff in your arch:armv7l; this will get out of date because
 it's duplicated.

 Instead, I would propose (but didn't test) to remove this entirely:
      'CCFLAGS':      ['-march=armv5t']
 from SConstruct's 'arch:arm' definition.  That would be the only
 change.

 Without this flag, the build will just use the toolchain defaults,
 which is exactly what we want on both armel and armhf!  It's also
 better for derivatives like Ubuntu or other distros which have
 different toolchain defaults.

--- libv8-2.2.24/SConstruct	2010-09-16 10:06:58.000000000 +0000
+++ libv8-2.2.24.armhf//SConstruct	2010-09-16 10:06:32.296766735 +0000
@@ -217,6 +217,16 @@
       'CCFLAGS':      ['-m32'],
       'LINKFLAGS':    ['-m32']
     },
+    'arch:armv7l': {
+      'CPPDEFINES':   ['V8_TARGET_ARCH_ARM'],
+      'unalignedaccesses:on' : {
+        'CPPDEFINES' : ['CAN_USE_UNALIGNED_ACCESSES=1']
+      },
+      'unalignedaccesses:off' : {
+        'CPPDEFINES' : ['CAN_USE_UNALIGNED_ACCESSES=0']
+      },
+      'CCFLAGS':      ['-march=armv7-a']
+    },
     'arch:mips': {
       'CPPDEFINES':   ['V8_TARGET_ARCH_MIPS'],
       'simulator:none': {
@@ -338,6 +348,12 @@
       # used by the arm simulator.
       'WARNINGFLAGS': ['/wd4996']
     },
+    'arch:armv7l': {
+      'CPPDEFINES':   ['V8_TARGET_ARCH_ARM'],
+      # /wd4996 is to silence the warning about sscanf
+      # used by the arm simulator.
+      'WARNINGFLAGS': ['/wd4996']
+    },
     'arch:mips': {
       'CPPDEFINES':   ['V8_TARGET_ARCH_MIPS'],
     },
@@ -437,6 +453,9 @@
     'arch:arm': {
       'LINKFLAGS':   ARM_LINK_FLAGS
     },
+    'arch:armv7l': {
+      'LINKFLAGS':   ARM_LINK_FLAGS
+    },
   },
   'msvc': {
     'all': {
@@ -504,6 +523,9 @@
     'arch:arm': {
       'LINKFLAGS':   ARM_LINK_FLAGS
     },
+    'arch:armv7l': {
+      'LINKFLAGS':   ARM_LINK_FLAGS
+    },
     'arch:ia32': {
       'CCFLAGS':      ['-m32'],
       'LINKFLAGS':    ['-m32']
@@ -677,7 +699,7 @@
     'help': 'the os to build for (' + OS_GUESS + ')'
   },
   'arch': {
-    'values':['arm', 'ia32', 'x64', 'mips'],
+    'values':['arm', 'armv7l', 'ia32', 'x64', 'mips'],
     'default': ARCH_GUESS,
     'help': 'the architecture to build for (' + ARCH_GUESS + ')'
   },
--- libv8-2.2.24/tools/utils.py	2010-09-16 10:06:58.000000000 +0000
+++ libv8-2.2.24.armhf//tools/utils.py	2010-09-15 23:55:29.776765243 +0000
@@ -66,7 +66,10 @@
 def GuessArchitecture():
   id = platform.machine()
   if id.startswith('arm'):
-    return 'arm'
+    if id == 'armv7l':
+      return 'armv7l'
+    else:
+      return 'arm'
   elif id == 'i86pc':
     return 'ia32'
   elif id == 'amd64':

    Cheers
-- 
Loïc Minier




Information forwarded to debian-bugs-dist@lists.debian.org, Antonio Radici <antonio@dyne.org>:
Bug#596997; Package libv8. (Mon, 08 Nov 2010 16:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to kapouer@melix.org:
Extra info received and forwarded to list. Copy sent to Antonio Radici <antonio@dyne.org>. (Mon, 08 Nov 2010 16:27:08 GMT) Full text and rfc822 format available.

Message #40 received at 596997@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: Loïc Minier <lool@dooz.org>
Cc: 596997@bugs.debian.org, Konstantinos Margaritis <markos@debian.org>
Subject: Re: Bug#596997: libv8: Please add preliminary support for armhf port
Date: Mon, 08 Nov 2010 17:24:38 +0100
On 29/09/2010 19:46, Loïc Minier wrote:
>         Hey folks
> 
>> I played around with the package, it compiled with plain settings, but
>> it was rather unoptimised (armv5t, etc). So I decided to make it to
>> build a specialized version for armhf (armv7-a basically,
>> float-abi=hard is implied in the compiler settings as it is the
>> default). I attach the patch I used.
> 
>  Cool!
> 
>  I'm a bit worried about the implementation though: this essentially
>  boils down to letting the build system chose optimizations based on
>  uname -m, which is really bad.
> 
>  Debian armel might be built on "armv7l" machines someday (quite likely
>  in fact) and armhf might be built on "armv8l" someday, so not a good
>  idea to hardcode uname -> target optimization.
>    This new arch also feels weird: you end up duplicating a lot of the
>  arch:arm stuff in your arch:armv7l; this will get out of date because
>  it's duplicated.
> 
>  Instead, I would propose (but didn't test) to remove this entirely:
>       'CCFLAGS':      ['-march=armv5t']
>  from SConstruct's 'arch:arm' definition.  That would be the only
>  change.
> 
>  Without this flag, the build will just use the toolchain defaults,
>  which is exactly what we want on both armel and armhf!  It's also
>  better for derivatives like Ubuntu or other distros which have
>  different toolchain defaults.

Hi all,
i'm removing the march=armv4t flag from SContruct (it was a patch anyway),
since it's up to the debian gcc armel default target to decide which arch
it should compile for.
I'm also checking if the other flag no-thumb-interwork is still needed,
since there has been some upstream work on it recently.
I don't think other changes are needed. Do you ?
To be uploaded with libv8 2.4.9.12.

Regards,
Jérémy.





Added tag(s) pending. Request was from Jérémy Lal <kapouer@melix.org> to control@bugs.debian.org. (Mon, 08 Nov 2010 16:36:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Antonio Radici <antonio@dyne.org>:
Bug#596997; Package libv8. (Mon, 08 Nov 2010 17:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Antonio Radici <antonio@dyne.org>. (Mon, 08 Nov 2010 17:48:08 GMT) Full text and rfc822 format available.

Message #47 received at 596997@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Jérémy Lal <kapouer@melix.org>
Cc: 596997@bugs.debian.org, Konstantinos Margaritis <markos@debian.org>
Subject: Re: Bug#596997: libv8: Please add preliminary support for armhf port
Date: Mon, 8 Nov 2010 18:45:26 +0100
On Mon, Nov 08, 2010, Jérémy Lal wrote:
> i'm removing the march=armv4t flag from SContruct (it was a patch anyway),
> since it's up to the debian gcc armel default target to decide which arch
> it should compile for.
> I'm also checking if the other flag no-thumb-interwork is still needed,
> since there has been some upstream work on it recently.
> I don't think other changes are needed. Do you ?
> To be uploaded with libv8 2.4.9.12.

 I would be careful when removing the march=armv4t and other flags; I
 think it's the right thing to do, but other places might have to be
 patched; for instance, I see ANDROID_FLAGS for instance has it
 hardcoded, while it doesn't apply to linux/kfreebsd builds, there might
 be some hidden nasty flags somewhere which motivated the addition of
 this patch.  I would grep the build log on armel for suspicious flags
 like -march/-mcpu/-mtune and probably -marm/-mthumb*.

 -mno-thumb-interwork is a bit suspicious; I'm not entirely comfortable
 on the architecture revisions and cases where these flags are
 explicitly needed, but in any case the toolchain defaults should be
 fine.

 -fno-tree-sink seems to be a workaround for a compiler bug (disabling
 an optimization).

 -Wno-psabi is undocumented in my version of gcc.

 The "nop" seems a bit weird; I can see how it fixes the compilation,
 but it probably doesn't fulfill the expected purpose.  Seems to only be
 used for debug, so not a big deal I guess.

-- 
Loïc Minier




Information forwarded to debian-bugs-dist@lists.debian.org, Antonio Radici <antonio@dyne.org>:
Bug#596997; Package libv8. (Mon, 08 Nov 2010 23:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to kapouer@melix.org:
Extra info received and forwarded to list. Copy sent to Antonio Radici <antonio@dyne.org>. (Mon, 08 Nov 2010 23:57:03 GMT) Full text and rfc822 format available.

Message #52 received at 596997@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: Loïc Minier <lool@dooz.org>
Cc: 596997@bugs.debian.org, Konstantinos Margaritis <markos@debian.org>
Subject: Re: Bug#596997: libv8: Please add preliminary support for armhf port
Date: Tue, 09 Nov 2010 00:53:42 +0100
On 08/11/2010 18:45, Loïc Minier wrote:
>  I would be careful when removing the march=armv4t and other flags; I
>  think it's the right thing to do, but other places might have to be
>  patched; for instance, I see ANDROID_FLAGS for instance has it
>  hardcoded, while it doesn't apply to linux/kfreebsd builds, there might
>  be some hidden nasty flags somewhere which motivated the addition of
>  this patch.  I would grep the build log on armel for suspicious flags
>  like -march/-mcpu/-mtune and probably -marm/-mthumb*.

Well i'm now testing armel builds on qemu/squeeze, and discovered what follows.
 
>  -mno-thumb-interwork is a bit suspicious; I'm not entirely comfortable
>  on the architecture revisions and cases where these flags are
>  explicitly needed, but in any case the toolchain defaults should be
>  fine.

It seems the only reason left for that flag is because v8 code complains
about missing 'blx' instruction when arch is armv4t (the gcc default on debian).
Reported at
http://code.google.com/p/v8/issues/detail?id=590
 
>  -fno-tree-sink seems to be a workaround for a compiler bug (disabling
>  an optimization).

It was, gcc 4.4.5 has fixed the bug.
 
>  -Wno-psabi is undocumented in my version of gcc.

See http://gcc.gnu.org/bugzilla/show_bug.cgi?id=42748
not fixed in gcc 4.4.5-4.

Regards,
Jérémy.








Information forwarded to debian-bugs-dist@lists.debian.org, Antonio Radici <antonio@dyne.org>:
Bug#596997; Package libv8. (Tue, 09 Nov 2010 09:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Antonio Radici <antonio@dyne.org>. (Tue, 09 Nov 2010 09:39:03 GMT) Full text and rfc822 format available.

Message #57 received at 596997@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Jérémy Lal <kapouer@melix.org>
Cc: 596997@bugs.debian.org, Konstantinos Margaritis <markos@debian.org>
Subject: Re: Bug#596997: libv8: Please add preliminary support for armhf port
Date: Tue, 9 Nov 2010 10:33:57 +0100
On Tue, Nov 09, 2010, Jérémy Lal wrote:
> >  -mno-thumb-interwork is a bit suspicious; I'm not entirely comfortable
> >  on the architecture revisions and cases where these flags are
> >  explicitly needed, but in any case the toolchain defaults should be
> >  fine.
> 
> It seems the only reason left for that flag is because v8 code complains
> about missing 'blx' instruction when arch is armv4t (the gcc default on debian).
> Reported at
> http://code.google.com/p/v8/issues/detail?id=590

 Apparently the code can not deal with Thumb inter-working for ARMv4T,
 only starting with ARMv5T:
// We do not support thumb inter-working with an arm architecture not supporting
// the blx instruction (below v5t).  If you know what CPU you are compiling for
// you can use -march=armv7 or similar.
#if defined(USE_THUMB_INTERWORK) && !defined(CAN_USE_THUMB_INSTRUCTIONS)
# error "For thumb inter-working we require an architecture which supports blx"
#endif

 the test seems correct for the limitation explained in the comment; I
 can also see some tricky blx handling in the code, so it seems entirely
 plausible that the code wouldn't work on ARMv4T with Thumb
 interworking (blx is ARMv5/ARMv5T+).

 Hence building with -mno-thumb-interwork seems correct with Debian (I
 think the toolchain defaults to -mthumb-interwork) and is truly libv8
 specific.

 I'm a bit surprized that you managed to build for armv4t and using blx;
 in my test, it doesn't work:
echo 'void foo(void) { __asm__ volatile("blx 0"); }' | arm-linux-gnueabi-gcc -mthumb -march=armv4t -x c -c - -o /dev/null
/tmp/cc2fO8Ba.s: Assembler messages:
/tmp/cc2fO8Ba.s:25: Error: selected processor does not support Thumb mode `blx 0'
echo 'void foo(void) { __asm__ volatile("blx 0"); }' | arm-linux-gnueabi-gcc -marm -march=armv4t -x c -c - -o /dev/null
/tmp/cc4g7aYh.s: Assembler messages:
/tmp/cc4g7aYh.s:26: Error: selected processor does not support ARM mode `blx 0'


 You could in your rules only pass -mno-thumb-interwork if the target
 doesn't support blx (so pretty much only relevant for ARMv4T, since
 ARMv5 can't be supported in Debian and ARMv5T has blx).  It would be
 possible to test for blx with:
CROSS :=
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
    CROSS :=  $(DEB_HOST_GNU_TYPE)-
endif

check_asm = $(shell echo 'void foo(void) { __asm__ volatile("$(1)"); }' | $(CROSS)gcc -x c -c - -o /dev/null 2>/dev/null && echo 1 || echo 0)

blx_asm := blx 0
has_blx := $(call check_asm, $(blx_asm))

ifneq($(has_blx),1)
# libv8 doesn't support Thumb inter-working without blx
CFLAGS += -mno-thumb-interwork
endif

 and you could also check whether __THUMB_INTERWORK__ is defined etc.,
 but it might be simpler to just test for ARMv4t:
check_cpp = $(shell $(CROSS)cpp -dM -P /dev/null | grep -q '^\#define $(1)' && echo 1 || echo 0)

is_v4t := $(call check_cpp,__ARM_ARCH_4T__ 1)

ifeq($(is_v4t),1)
# libv8 doesn't support Thumb inter-working without blx
CFLAGS += -mno-thumb-interwork
endif


 I'm not sure Thumb inter-working is too much of a big deal for the
 current targets: it seems you can't use it on armv4t which is what
 Debian armel targets, and it's mostly not needed on ARMv7+ which is
 what armhf and Ubuntu armel target.  Would probably best not to pass
 the -mno-thumb-interwork flag if you don't need to, but it shouldn't
 affect current targets.

> >  -fno-tree-sink seems to be a workaround for a compiler bug (disabling
> >  an optimization).
> 
> It was, gcc 4.4.5 has fixed the bug.

 Cool; it seems we can drop this one then!

> >  -Wno-psabi is undocumented in my version of gcc.
> 
> See http://gcc.gnu.org/bugzilla/show_bug.cgi?id=42748
> not fixed in gcc 4.4.5-4.

 Thanks for the pointer; seems like something which can be dropped when
 Debian move to 4.5 as the default gcc.

   Cheers,
-- 
Loïc Minier




Information forwarded to debian-bugs-dist@lists.debian.org, Antonio Radici <antonio@dyne.org>:
Bug#596997; Package libv8. (Tue, 09 Nov 2010 09:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to kapouer@melix.org:
Extra info received and forwarded to list. Copy sent to Antonio Radici <antonio@dyne.org>. (Tue, 09 Nov 2010 09:45:04 GMT) Full text and rfc822 format available.

Message #62 received at 596997@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: Loïc Minier <lool@dooz.org>
Cc: 596997@bugs.debian.org, Konstantinos Margaritis <markos@debian.org>
Subject: Re: Bug#596997: libv8: Please add preliminary support for armhf port
Date: Tue, 09 Nov 2010 10:42:21 +0100
On 09/11/2010 10:33, Loïc Minier wrote:
> On Tue, Nov 09, 2010, Jérémy Lal wrote:
>>>  -mno-thumb-interwork is a bit suspicious; I'm not entirely comfortable
>>>  on the architecture revisions and cases where these flags are
>>>  explicitly needed, but in any case the toolchain defaults should be
>>>  fine.
>>
>> It seems the only reason left for that flag is because v8 code complains
>> about missing 'blx' instruction when arch is armv4t (the gcc default on debian).
>> Reported at
>> http://code.google.com/p/v8/issues/detail?id=590
> 
>  Apparently the code can not deal with Thumb inter-working for ARMv4T,
>  only starting with ARMv5T:
> // We do not support thumb inter-working with an arm architecture not supporting
> // the blx instruction (below v5t).  If you know what CPU you are compiling for
> // you can use -march=armv7 or similar.
> #if defined(USE_THUMB_INTERWORK) && !defined(CAN_USE_THUMB_INSTRUCTIONS)
> # error "For thumb inter-working we require an architecture which supports blx"
> #endif
> 
>  the test seems correct for the limitation explained in the comment; I
>  can also see some tricky blx handling in the code, so it seems entirely
>  plausible that the code wouldn't work on ARMv4T with Thumb
>  interworking (blx is ARMv5/ARMv5T+).
> 
>  Hence building with -mno-thumb-interwork seems correct with Debian (I
>  think the toolchain defaults to -mthumb-interwork) and is truly libv8
>  specific.
> 
>  I'm a bit surprized that you managed to build for armv4t and using blx;
>  in my test, it doesn't work:
> echo 'void foo(void) { __asm__ volatile("blx 0"); }' | arm-linux-gnueabi-gcc -mthumb -march=armv4t -x c -c - -o /dev/null
> /tmp/cc2fO8Ba.s: Assembler messages:
> /tmp/cc2fO8Ba.s:25: Error: selected processor does not support Thumb mode `blx 0'
> echo 'void foo(void) { __asm__ volatile("blx 0"); }' | arm-linux-gnueabi-gcc -marm -march=armv4t -x c -c - -o /dev/null
> /tmp/cc4g7aYh.s: Assembler messages:
> /tmp/cc4g7aYh.s:26: Error: selected processor does not support ARM mode `blx 0'

Indeed,
but if you grep for blx in src/arm/ you'll notice conditional code
to handle the case where it's not available.
I'm waiting for some comments from upstream about that : i suspect
the test has been deprecated by other corrections.

>  I'm not sure Thumb inter-working is too much of a big deal for the
>  current targets: it seems you can't use it on armv4t which is what
>  Debian armel targets, and it's mostly not needed on ARMv7+ which is
>  what armhf and Ubuntu armel target.  Would probably best not to pass
>  the -mno-thumb-interwork flag if you don't need to, but it shouldn't
>  affect current targets.

I did not know that, so i'll let -mno-thumb-interwork if my previous comment
is wrong.

Jérémy.






Reply sent to Jérémy Lal <kapouer@melix.org>:
You have taken responsibility. (Tue, 25 Jan 2011 10:51:18 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@debian.org>:
Bug acknowledged by developer. (Tue, 25 Jan 2011 10:51:18 GMT) Full text and rfc822 format available.

Message #67 received at 596997-close@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: 596997-close@bugs.debian.org
Subject: Bug#596997: fixed in libv8 2.5.9.9-1
Date: Tue, 25 Jan 2011 10:47:12 +0000
Source: libv8
Source-Version: 2.5.9.9-1

We believe that the bug you reported is fixed in the latest version of
libv8, which is due to be installed in the Debian FTP archive:

libv8-2.5.9.9_2.5.9.9-1_i386.deb
  to main/libv/libv8/libv8-2.5.9.9_2.5.9.9-1_i386.deb
libv8-dbg_2.5.9.9-1_i386.deb
  to main/libv/libv8/libv8-dbg_2.5.9.9-1_i386.deb
libv8-dev_2.5.9.9-1_i386.deb
  to main/libv/libv8/libv8-dev_2.5.9.9-1_i386.deb
libv8_2.5.9.9-1.debian.tar.gz
  to main/libv/libv8/libv8_2.5.9.9-1.debian.tar.gz
libv8_2.5.9.9-1.dsc
  to main/libv/libv8/libv8_2.5.9.9-1.dsc
libv8_2.5.9.9.orig.tar.gz
  to main/libv/libv8/libv8_2.5.9.9.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 596997@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jérémy Lal <kapouer@melix.org> (supplier of updated libv8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 06 Jan 2011 18:02:20 +0100
Source: libv8
Binary: libv8-dev libv8-2.5.9.9 libv8-dbg
Architecture: source i386
Version: 2.5.9.9-1
Distribution: unstable
Urgency: low
Maintainer: Antonio Radici <antonio@dyne.org>
Changed-By: Jérémy Lal <kapouer@melix.org>
Description: 
 libv8-2.5.9.9 - V8 JavaScript Engine
 libv8-dbg  - Debugging symbols for the V8 JavaScript Engine
 libv8-dev  - Development files for the V8 JavaScript Engine
Closes: 596997 599713 601855
Changes: 
 libv8 (2.5.9.9-1) unstable; urgency=low
 .
   * New upstream release.
     followed the procedure of README.source to update.
   * Fix FTBFS on armel. (Closes: #599713)
   * No longer flag march=armv4t, it's the default debian armel target.
     (Closes: #596997)
   * Fix typo in libv8-dbg short description. (Closes: #601855)
Checksums-Sha1: 
 8653e46bf0204b2e65b0f2743f1d10d6bcc39488 1276 libv8_2.5.9.9-1.dsc
 cce88359332d548504605cf7b9d049226013c63b 10111110 libv8_2.5.9.9.orig.tar.gz
 202bd32c347bd777e0f980f50fd3610919d65f3e 8154 libv8_2.5.9.9-1.debian.tar.gz
 0db7a62ac1b1f64c57dc561a631ecb277185b37e 62962 libv8-dev_2.5.9.9-1_i386.deb
 079e2c0973230d9c8f137647ca2ae3dd5c6557d8 1055164 libv8-2.5.9.9_2.5.9.9-1_i386.deb
 9d3c2c3c45d317c117a871e7c89eaae1fba98476 12414456 libv8-dbg_2.5.9.9-1_i386.deb
Checksums-Sha256: 
 756b94278b9d2c9bff284dd174c41710d13fe008d7f9c7e6d14a2bca754b3e53 1276 libv8_2.5.9.9-1.dsc
 cbc6fd97decee0a7d45be369e58b79bad70dbc3c74e8e0ac91efdc7ff6d608b9 10111110 libv8_2.5.9.9.orig.tar.gz
 c594c5831776aae565a318f4e10cc487dde11996f24535ea4f6825d5e583201c 8154 libv8_2.5.9.9-1.debian.tar.gz
 80d2ca96620f41cf69709a854fa532e03325efdc0d4d77b5bf3498d4cf1718c2 62962 libv8-dev_2.5.9.9-1_i386.deb
 f3293251f2fd7d577b14d39ddaa55f2e97305d38dd14c65b909cdea51e125580 1055164 libv8-2.5.9.9_2.5.9.9-1_i386.deb
 7281ed2dccbb8f0c0ec532277c98265c2f53f43ab0ab9c48ee3759f4f1616854 12414456 libv8-dbg_2.5.9.9-1_i386.deb
Files: 
 89d4296b63a2215e8a2d5ea57965b56c 1276 libs optional libv8_2.5.9.9-1.dsc
 d7a0613b834d0fdd91e513c1e1302ae1 10111110 libs optional libv8_2.5.9.9.orig.tar.gz
 936b2d5c0d295707cad368ccd705651c 8154 libs optional libv8_2.5.9.9-1.debian.tar.gz
 0a8e24c023026ca23d62e6cd035fb8f5 62962 libdevel optional libv8-dev_2.5.9.9-1_i386.deb
 796fb6a2a633eece9cb4d1bc7d0a67e6 1055164 libs optional libv8-2.5.9.9_2.5.9.9-1_i386.deb
 8338845d42ddb86dbb959ee6871833b0 12414456 debug extra libv8-dbg_2.5.9.9-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk00D48ACgkQNxpp46476aojRwCffxvpukDFhQ7xGWK4DmyzjDn9
5UsAniESuwYZrOCi3LZN26ZtQkve4d7M
=aaE9
-----END PGP SIGNATURE-----





Bug No longer marked as fixed in versions libv8/2.5.9.9-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Jan 2011 15:45:09 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'wishlist' Request was from Konstantinos Margaritis <markos@genesi-usa.com> to control@bugs.debian.org. (Mon, 14 Feb 2011 15:21:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Jérémy Lal <kapouer@melix.org> to control@bugs.debian.org. (Mon, 14 Feb 2011 15:39:10 GMT) Full text and rfc822 format available.

Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. (Thu, 24 Feb 2011 21:36:11 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@debian.org>:
Bug acknowledged by developer. (Thu, 24 Feb 2011 21:36:11 GMT) Full text and rfc822 format available.

Message #78 received at 596997-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 596997-close@bugs.debian.org
Subject: Bug#596997: fixed in libv8 2.5.9.16-1
Date: Thu, 24 Feb 2011 21:33:19 +0000
Source: libv8
Source-Version: 2.5.9.16-1

We believe that the bug you reported is fixed in the latest version of
libv8, which is due to be installed in the Debian FTP archive:

libv8-2.5.9.16_2.5.9.16-1_amd64.deb
  to main/libv/libv8/libv8-2.5.9.16_2.5.9.16-1_amd64.deb
libv8-dbg_2.5.9.16-1_amd64.deb
  to main/libv/libv8/libv8-dbg_2.5.9.16-1_amd64.deb
libv8-dev_2.5.9.16-1_amd64.deb
  to main/libv/libv8/libv8-dev_2.5.9.16-1_amd64.deb
libv8_2.5.9.16-1.debian.tar.gz
  to main/libv/libv8/libv8_2.5.9.16-1.debian.tar.gz
libv8_2.5.9.16-1.dsc
  to main/libv/libv8/libv8_2.5.9.16-1.dsc
libv8_2.5.9.16.orig.tar.gz
  to main/libv/libv8/libv8_2.5.9.16.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 596997@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated libv8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 24 Feb 2011 16:51:54 +0100
Source: libv8
Binary: libv8-dev libv8-2.5.9.16 libv8-dbg
Architecture: source amd64
Version: 2.5.9.16-1
Distribution: unstable
Urgency: low
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 libv8-2.5.9.16 - V8 JavaScript Engine
 libv8-dbg  - Debugging symbols for the V8 JavaScript Engine
 libv8-dev  - Development files for the V8 JavaScript Engine
Closes: 596997
Changes: 
 libv8 (2.5.9.16-1) unstable; urgency=low
 .
   * New upstream release.
 .
   [ Jérémy Lal ]
   * Add architecture armhf.
     Closes: #596997
 .
   [ Jonas Smedegaard ]
   * Rewrite copyright file using draft svn166 of DEP5 format.
   * Supress copyright-checking a few binary files, to not upset
     dpkg-source.
Checksums-Sha1: 
 0363dc51b0158ac2346d977a325e303badb7cc35 2008 libv8_2.5.9.16-1.dsc
 72ecfde5af8c15ff5c3566385c3e7ba5ed2d4fb7 10115986 libv8_2.5.9.16.orig.tar.gz
 0676272b14021b7786e3fb33bc4b7c3e685d32fc 17430 libv8_2.5.9.16-1.debian.tar.gz
 1d15d8e1ce6eadfe45ad96d7ecef40d4ed2db22f 64986 libv8-dev_2.5.9.16-1_amd64.deb
 b1566fa83077ad904175e650fbf9679a91289d88 1122298 libv8-2.5.9.16_2.5.9.16-1_amd64.deb
 07766795488005fa0f9bce9d0c3ad6271f787751 12155086 libv8-dbg_2.5.9.16-1_amd64.deb
Checksums-Sha256: 
 c5fe6b6bd3eca07216afea96982e20a8027c0b71154cb9d5c2b2345698950d69 2008 libv8_2.5.9.16-1.dsc
 7340e8f1291020d25b8c2196707d97a0803c36c86acb88cd047cfc5ad2ee6098 10115986 libv8_2.5.9.16.orig.tar.gz
 33f61574df80604caf566dbc9a779e8eace03fbc8b203b2b85473b00cb1231be 17430 libv8_2.5.9.16-1.debian.tar.gz
 55872ef9801d5c92bc6850bad63a6e9f180f7c2d8d2ecd17e0db37029a665084 64986 libv8-dev_2.5.9.16-1_amd64.deb
 4207fa232a6a4b43ad707b4a335eadad24caa2978d39b1935f98134b44a2b62f 1122298 libv8-2.5.9.16_2.5.9.16-1_amd64.deb
 7efe1763417045f1b90dcdfeb3eefa40eaffdaa09e116be2d7db8344559b30f9 12155086 libv8-dbg_2.5.9.16-1_amd64.deb
Files: 
 e57676f3348a0a38443322a20b6db30f 2008 libs optional libv8_2.5.9.16-1.dsc
 00edbb8fab22e6accf737926734f4428 10115986 libs optional libv8_2.5.9.16.orig.tar.gz
 47468966e10f158672b01bd44ccb89d3 17430 libs optional libv8_2.5.9.16-1.debian.tar.gz
 92e1c464ed1fc7c213b4947e138737b2 64986 libdevel optional libv8-dev_2.5.9.16-1_amd64.deb
 e6d662461c64ac1174d41819ee6e8179 1122298 libs optional libv8-2.5.9.16_2.5.9.16-1_amd64.deb
 680d149c3beb6aa93f563815fe6d4542 12155086 debug extra libv8-dbg_2.5.9.16-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJNZoHsAAoJECx8MUbBoAEhO8sQAJ2dPWnRPaE8bWXtlRV4rVn+
dITbNx86Ylw0E1yWLsEwV6aEow86CyxIY8QEQW3JEExqf7SjA/Fg0whpXXBPgO7P
k4Eo1+XJ2tFSAKa6n0ylhXFCZ0vzOTjgSS3RcxlsO+KzZ+4vrrdpss+3FNvp3S4v
WWdy6u8FAMej2l5wf0skeD3wMNGo0vt1LuKPw3Ipa0OvxOzlCWMJi5IUdAeGxlXK
zCx2dacndyKxSm7sZR57PtUBAxy44WEsDCu2NsUrD9VegSaYB6URuU8t0fpa0/ov
rSL9thXlV3tFbdoWvafBYg/85vyLC6udz4qOUCcJzz0xMN3m/XTWG9eZle1SfWYj
ZWd55xzhQNCKxZzgM22lwcpY4u7vfyxwUwn6kM62Id4rxCZB926vgxIFrWBjLp9B
4SZQdLvwb479Uzs6E32Q7mAQP213udPntdvefDaeNEVql1d6ZH83tfEIIL44ZYVC
ssJF2sT8gF6bdDDRyAWJ75/zLqmQ49pHJXwOI+jgp/6wj/Sbaspb0iMhsKFeP+M6
692uWelxL7mD5q+zlrzzublYxOA3jReO+S60jdSF8yWXAGDguQylXTQS/0P4o+Xu
4eZg28uqJRFt/fjLosWTKNxWN4btjdonpN4rFY6vJvyT8KjRZlGz73xZJDd0O48n
ocf1WQa78xJxNq3pDQc1
=KIQp
-----END PGP SIGNATURE-----





Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. (Thu, 24 Feb 2011 21:36:13 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@debian.org>:
Bug acknowledged by developer. (Thu, 24 Feb 2011 21:36:13 GMT) Full text and rfc822 format available.

Message #83 received at 596997-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 596997-close@bugs.debian.org
Subject: Bug#596997: fixed in libv8 3.0.12.23-1
Date: Thu, 24 Feb 2011 21:33:39 +0000
Source: libv8
Source-Version: 3.0.12.23-1

We believe that the bug you reported is fixed in the latest version of
libv8, which is due to be installed in the Debian FTP archive:

libv8-3.0.12.23_3.0.12.23-1_amd64.deb
  to main/libv/libv8/libv8-3.0.12.23_3.0.12.23-1_amd64.deb
libv8-dbg_3.0.12.23-1_amd64.deb
  to main/libv/libv8/libv8-dbg_3.0.12.23-1_amd64.deb
libv8-dev_3.0.12.23-1_amd64.deb
  to main/libv/libv8/libv8-dev_3.0.12.23-1_amd64.deb
libv8_3.0.12.23-1.debian.tar.gz
  to main/libv/libv8/libv8_3.0.12.23-1.debian.tar.gz
libv8_3.0.12.23-1.dsc
  to main/libv/libv8/libv8_3.0.12.23-1.dsc
libv8_3.0.12.23.orig.tar.gz
  to main/libv/libv8/libv8_3.0.12.23.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 596997@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated libv8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 24 Feb 2011 14:51:27 +0100
Source: libv8
Binary: libv8-dev libv8-3.0.12.23 libv8-dbg
Architecture: source amd64
Version: 3.0.12.23-1
Distribution: experimental
Urgency: low
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 libv8-3.0.12.23 - V8 JavaScript Engine
 libv8-dbg  - Debugging symbols for the V8 JavaScript Engine
 libv8-dev  - Development files for the V8 JavaScript Engine
Closes: 596997
Changes: 
 libv8 (3.0.12.23-1) experimental; urgency=low
 .
   [ Jérémy Lal ]
   * New upstream release.
   * Adds architecture : armhf. (Closes: #596997)
   * Include new headers in libv8-dev.
   * Relax regression checking to not cause build to fail.
 .
   [ Jonas Smedegaard ]
   * Rewrite copyright file using draft svn166 of DEP5 format.
   * Suppress copyright-checking a few binary files, to not upset
     dpkg-source.
   * Only relax regression checking when targeted experimental.
Checksums-Sha1: 
 2a1db70045f38d30e7825f875ad9a046bf455b47 2016 libv8_3.0.12.23-1.dsc
 95564abf77af482a2435007d53f7eeab8b1f0881 10598729 libv8_3.0.12.23.orig.tar.gz
 75b164c00e13f8faabe1e91ebeadc6fa4e37026d 18322 libv8_3.0.12.23-1.debian.tar.gz
 2516d74306e7a26e578ed0e914861a1a8fcedb97 68462 libv8-dev_3.0.12.23-1_amd64.deb
 c77ac00cc00a980413b1c21b5d0620915f80b608 1426282 libv8-3.0.12.23_3.0.12.23-1_amd64.deb
 847980382c07ed2164eec847a44765d59b8b732b 14610152 libv8-dbg_3.0.12.23-1_amd64.deb
Checksums-Sha256: 
 229419cdc4ab2747265124e3a58a4771b7a9c0560b5aeae36edf1354e0c07bb0 2016 libv8_3.0.12.23-1.dsc
 7252eb60e8a55082df7004d420cc22970d42258abb8cc4a55cff5c246b55a1b7 10598729 libv8_3.0.12.23.orig.tar.gz
 13c15f81a9578ec037f88bac04201ca842d97d2ce9b25032341b3bacb7283f69 18322 libv8_3.0.12.23-1.debian.tar.gz
 3f0e13e2ff23326c3941175a4cdb001f45eb2aad67bc2757fbe82791bc232072 68462 libv8-dev_3.0.12.23-1_amd64.deb
 e2626b24662ed24bfee61db2429bfd807930b745f75c503e28e52ab8cc811111 1426282 libv8-3.0.12.23_3.0.12.23-1_amd64.deb
 a5ee004d186b95d88ec30e684fee02e4eebefb821e1f4793b9dc4a1292fc3731 14610152 libv8-dbg_3.0.12.23-1_amd64.deb
Files: 
 b34730c66673e49a14d8ce7cd675fff5 2016 libs optional libv8_3.0.12.23-1.dsc
 0cae56462bce5157437a65b52db3ccb0 10598729 libs optional libv8_3.0.12.23.orig.tar.gz
 6a78a555be4940a80bc5b3f42a124d56 18322 libs optional libv8_3.0.12.23-1.debian.tar.gz
 28a0d2843cd4282d1ef829de6eb5f5b0 68462 libdevel optional libv8-dev_3.0.12.23-1_amd64.deb
 cc88b7ff45f4fa571d4872cfae87578b 1426282 libs optional libv8-3.0.12.23_3.0.12.23-1_amd64.deb
 51c8e3a51b2a05e9a41a1dd74dda6eb7 14610152 debug extra libv8-dbg_3.0.12.23-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJNZm2dAAoJECx8MUbBoAEhxs4P/jPWBP3HtzCqlT4dgMVaHNEH
fKKVPK5hIKykGH0jW91KVn6LDBBgjWRyupnr/8+tWL+Kfy10K63lZuiDW7R3h28H
z0XNul6380Klhju1+s8NuQXLqVVHeXFC8ygS2tjnfDsP7XmFLM6WQeSYsDOPTGFn
Hs3WBEycwDe3lYsopfj5fxv1j0f5ld88rhNNWE7JIgB+DUFbJVe/DVQtX4XHa1Yo
UOsZ2LFuNidD0NN6FNRUyqzcgWQ9aufIHLvl0p/oGwTyw9Qe5kxgnEhpkPMdu+Fi
V/qtF3wEp6NmmlUCr6a6ZybFftGX7Rc+7Drht2tUmuwydg2hf73lHukzFnzYbz9I
4ARV5UmHP2JMRSIc09P50n2s+dq8yxEukwHSp5rxaBb/FOhpG0W1cZx3JPs4yat5
iASuyq/RY6HmGKXubL8EHKRbE5cuPrmHD1ecl8Skdo8GeSvu1qvW7YHpm3sF98Qs
eJX5ANma8TCm/93F5cFNhuD5tcjqRDeAf3aSgLx45sWxquMCrHiPjiwnRHAoA5Z7
rZoCcStRgcmX9LIQk34TtywH7oBpVEN+vsWGpKYJW+rmp93cWu1NeCt75+vkjuBm
3jUWWGWYPeRDtvr4igx0QUcwcQvr+09TkkG6q1gxTJ4aoAjKToAv6aQiNEZ+S+Zz
I/OBZ6q4zD+whjaKbIIq
=4gI7
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 02 Aug 2011 07:39:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 15:57:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.